Bug 7561 - cannot fast catalog with fast cataloging permissions
Summary: cannot fast catalog with fast cataloging permissions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-20 16:20 UTC by Nicole C. Engard
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 7561: Fast cataloging - Allow add/edit items and delete record (5.76 KB, patch)
2015-03-30 11:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7561: Fast cataloging - Allow add/edit items and delete record (6.16 KB, patch)
2015-03-30 14:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7561: Redirect to the add items form if it's a fast cataloging (1.24 KB, patch)
2015-03-30 15:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7561: Fast cataloging - Allow add/edit items and delete record (6.22 KB, patch)
2015-03-30 15:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7561: Redirect to the add items form if it's a fast cataloging (1.31 KB, patch)
2015-03-30 15:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 7561: Fast cataloging - Allow add/edit items and delete record (6.29 KB, patch)
2015-04-05 22:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 7561: Redirect to the add items form if it's a fast cataloging (1.37 KB, patch)
2015-04-05 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-02-20 16:20:58 UTC
If you have a user with fast cataloging permissions and no other cataloging permissions the user can catalog the bib record using fast cataloging, but when they click save they are not brought to the item record anymore they're brought to the normal view.  Fast cataloging is both bib and item record for a fast record so it can be checked out and this is how it was in 3.6 - but appears to have changed in master and a later 3.6.x release.
Comment 1 Nicole C. Engard 2014-02-19 15:06:37 UTC
This is still an issue and a big one at that.
Comment 2 Nicole C. Engard 2014-02-19 15:10:22 UTC
http://screencast.com/t/GgtRm7IqPf7
Comment 3 Nicole C. Engard 2014-10-06 14:18:50 UTC
Just an update that this is still an issue
Comment 4 Nicole C. Engard 2014-12-19 15:06:22 UTC
Is anyone else seeing this?
Comment 5 Marc Véron 2014-12-19 15:30:58 UTC
I can replicate this with following permissions:

'circulate'
'catalogue'
'fast_cataloging'

If I add permission 'edit_items', I'm taken to the item record as expected.
(However, I can edit other items as well - should editing itmes be restricted to the fast added biblio?)
Comment 6 Jonathan Druart 2015-03-30 11:27:16 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-03-30 11:28:10 UTC
Not sure this is critical, lowering the priority.
Comment 8 Nicole C. Engard 2015-03-30 13:43:45 UTC
This doesn't change the behavior.  In this video I'll show you that I'm logged in as someone with fast cataloging permissions and they cannot add an item but when I go log in as a superlibrarian I can.  I also show you the permissions the patron has : http://screencast.com/t/o0DznRTZ9
Comment 9 Jonathan Druart 2015-03-30 14:33:13 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-03-30 14:34:20 UTC
With tools permissions, it worked.
Now it should work even the user does not have any tool permissions.
Comment 11 Nicole C. Engard 2015-03-30 14:53:29 UTC
Okay, this is better because you can edit items, but you can't add items.  For example. If you're a superlibrarian - or a cataloger - if you check out an item and the barcode isn't found it pops up and asks you if you want to fast catalog - if you do that it lets you add the title, brings you to the item record - you add the item and it checks out.

If you only have fast cataloging permissions it lets you catalog the bib but then shows you the bib record - it doesn't take you to the add item form.  Which is the whole point of fast cataloging - to be fast :)

Let me know if you need a video of this too.

Nicole
Comment 12 Jonathan Druart 2015-03-30 15:05:31 UTC Comment hidden (obsolete)
Comment 13 Nicole C. Engard 2015-03-30 15:47:52 UTC Comment hidden (obsolete)
Comment 14 Nicole C. Engard 2015-03-30 15:47:59 UTC Comment hidden (obsolete)
Comment 15 Nicole C. Engard 2015-03-30 15:48:17 UTC
BINGO!!! :)
Comment 16 Katrin Fischer 2015-04-05 22:39:04 UTC
I think it could be a nice addition to limit the cataloguing framework in cataloguing to the FA framework - choosing another framework will send you to the login page as he permission is missing.
Comment 17 Katrin Fischer 2015-04-05 22:39:53 UTC
Created attachment 37515 [details] [review]
[PASSED QA] Bug 7561: Fast cataloging - Allow add/edit items and delete record

With the fast cataloging permission, a librarian was not able to
add/edit items and to delete a record with the FA framework.

This patch fixes that.

Test plan:
0/ Set the permission fast_cataloging (and only this one under
editcatalogue) to a librarian
1/ Log in with this account
2/ Go to Circulation > Fast cataloging
3/ Confirm you can create a record
4/ Save and confirm you can create items
5/ Confirm you are able to edit items, remove all of them and delete the
record.
6/ Make sure it only works for records with the FA framework code.

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Katrin Fischer 2015-04-05 22:40:09 UTC
Created attachment 37516 [details] [review]
[PASSED QA] Bug 7561: Redirect to the add items form if it's a fast cataloging

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 19 Tomás Cohen Arazi 2015-04-08 14:38:47 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 20 Chris Cormack 2015-04-11 05:33:35 UTC
Pushed to 3.18.x will be in 3.18.6